--- /tmp/getwinegit/getwinegit.sh	2006-07-20 08:30:47.000000000 -0400
+++ /home/plouj/bin/getwinegit.sh	2006-07-26 10:18:40.000000000 -0400
@@ -177,10 +177,6 @@
 	fi
 }
 
-if [ $USER != "root" ]; then
-	echo -e "You are not root -> \033["$ERROR_COLOR"mexiting!\033[0m"; LOG="/dev/null"; quit 1;
-fi
-
 if [ $ENABLE != "yes" ]; then
 	echo -e "The Script has not been enabled... Please configure "$(basename "$0")" with an Editor -> \033["$ERROR_COLOR"mexiting!\033[0m"; quit 1;
 fi
@@ -236,6 +232,7 @@
 	echo -e "Could not create PID-File... -> \033["$ERROR_COLOR"mexiting!\033[0m"; exit 1;
 fi
 
+
 case "$MODE" in
 	0)
 		echo -e $(basename "$0")": running in mode \033["$MODE_COLOR"m0\033[0m...";
@@ -281,7 +278,7 @@
 		;;
 	4)
 		echo -e $(basename "$0")": running in mode \033["$MODE_COLOR"m4\033[0m...";
-		echo -e " -> just installe the compiled source-tree in \""$SRC"\"!";
+		echo -e " -> just installed the compiled source-tree in \""$SRC"\"!";
 		create_log;
 		echo "checking needed Programs..." >> $LOG;
 		check_program "MAKE" "make --version";
@@ -405,18 +402,18 @@
 echo "checking Compiler Variables..." >> $LOG;
 echo -n "Checking Compiler Variables... ";
 
-echo -n "\$CONFIGURE... " >> $LOG;
-if [ "$( echo "x"$CONFIGURE )" != "x" ]; then
-	echo $CONFIGURE >> $LOG;
+echo -n "\${CONFIGURE[@]}... " >> $LOG;
+if [ "$( echo "x"${CONFIGURE[@]} )" != "x" ]; then
+	echo ${CONFIGURE[@]} >> $LOG;
 else
 	if [ $MODE == 1 -o $MODE == 3 ]; then
 		echo "not set, but that's ok for modes 1 and 3. however you should fix this." >> $LOG;
 		echo -e "\033["$INFO_COLOR"merror, but not fatal.\033[0m";
-		echo -e "Variable \$CONFIGURE is not set -> \033["$INFO_COLOR"mnot fatal!\033[0m";
+		echo -e "Variable \${CONFIGURE[@]} is not set -> \033["$INFO_COLOR"mnot fatal!\033[0m";
 	else
 		echo "not set -> fatal!" >> $LOG;
 		echo -e "\033["$ERROR_COLOR"merror.\033[0m";
-		echo -e "Variable \$CONFIGURE is not set -> \033["$ERROR_COLOR"mfatal!\033[0m"; quit 1;
+		echo -e "Variable \${CONFIGURE[@]} is not set -> \033["$ERROR_COLOR"mfatal!\033[0m"; quit 1;
 	fi
 fi
 
@@ -574,10 +571,10 @@
 		echo -e "\033["$OK_COLOR"mdone.\033[0m";
 
 		if [ $MODE != 4 ]; then
-			echo -n "Creating Makefile... "; echo "<CONFIGURE: "$CONFIGURE">" >> $LOG; $CONFIGURE 2>> $LOG >&2;
+			echo -n "Creating Makefile... "; echo "<CONFIGURE: "${CONFIGURE[@]}">" >> $LOG; "${CONFIGURE[@]}" 2>> $LOG >&2;
 			if [ $? != 0 ]; then
 				echo -e "\033["$ERROR_COLOR"merror.\033[0m";
-				echo -e "Something went wrong when executing \""$CONFIGURE"\" -> \033["$ERROR_COLOR"mexiting!\033[0m"; quit 1;
+				echo -e "Something went wrong when executing \""${CONFIGURE[@]}"\" -> \033["$ERROR_COLOR"mexiting!\033[0m"; quit 1;
 			else
 				echo -e "\033["$OK_COLOR"mdone.\033[0m";
 			fi
